pkgtools/pkgdep - The NetBSD Packages Collection

Script for displaying dependence information on software packages

a script for displaying dependence information on software packages

Usage: pkgdep [opts] package
  -I INDEX file path (default: /usr/pkgsrc/INDEX)
  -e match package by regular expression
  -r recursive
  -v output graph data for xvcg (graphics/vcg package)

Examples:
	pkgdep -I /cvs/pkgsrc/INDEX x11/gtk2
	pkgdep -e jpeg
	pkgdep -v -e imlib2 |xvcg -

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Perl4-CoreLibs lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 8.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 8.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 8.0i386pkgdep-1.0nb9.tgz
NetBSD 8.0i386pkgdep-1.0nb9.tgz
NetBSD 8.0i386pkgdep-1.0nb9.tgz
NetBSD 8.0powerpcpkgdep-1.0nb9.tgz
NetBSD 8.0powerpcpkgdep-1.0nb9.tgz
NetBSD 8.0powerpcpkgdep-1.0nb9.tgz
NetBSD 8.0x86_64pkgdep-1.0nb9.tgz
NetBSD 8.0x86_64pkgdep-1.0nb9.tgz
NetBSD 8.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0aarch64pkgdep-1.0nb9.tgz
NetBSD 9.0aarch64pkgdep-1.0nb9.tgz
NetBSD 9.0alphapkgdep-1.0nb9.tgz
NetBSD 9.0alphapkgdep-1.0nb9.tgz
NetBSD 9.0alphapkgdep-1.0nb9.tgz
NetBSD 9.0earmv6hfpkgdep-1.0nb9.tgz
NetBSD 9.0earmv6hfpkgdep-1.0nb9.tgz
NetBSD 9.0earmv6hfpkgdep-1.0nb9.tgz
NetBSD 9.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 9.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 9.0earmv7hfpkgdep-1.0nb9.tgz
NetBSD 9.0i386pkgdep-1.0nb9.tgz
NetBSD 9.0i386pkgdep-1.0nb9.tgz
NetBSD 9.0i386pkgdep-1.0nb9.tgz
NetBSD 9.0mips64ebpkgdep-1.0nb9.tgz
NetBSD 9.0mips64ebpkgdep-1.0nb9.tgz
NetBSD 9.0mips64ebpkgdep-1.0nb9.tgz
NetBSD 9.0powerpcpkgdep-1.0nb9.tgz
NetBSD 9.0powerpcpkgdep-1.0nb9.tgz
NetBSD 9.0sparc64pkgdep-1.0nb9.tgz
NetBSD 9.0sparc64pkgdep-1.0nb9.tgz
NetBSD 9.0sparc64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz
NetBSD 9.0x86_64pkgdep-1.0nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.